> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu.md).

# 发起Payout请求

创建一个代付请求以向受益人 (Beneficiary) 付款。部分请求结构将取决于您希望使用的payout方式。

请注意，您可以以本地货币或美元发送payout请求。请与您的Coda商务伙伴确认。

最终受益人将**仅**以 **本地货币** 接收**代付**款项

## 接口

<table><thead><tr><th width="170.20574951171875">环境</th><th width="105.9573974609375">方法</th><th>URL</th></tr></thead><tbody><tr><td>沙盒 (Sandbox)</td><td><kbd><mark style="color:blue;"><strong>POST</strong></mark></kbd></td><td><a href="https://payout.codapayments-staging.com/payouts">https://payout.codapayments-staging.com/payouts</a></td></tr><tr><td>生产 (Production) </td><td><kbd><mark style="color:blue;"><strong>POST</strong></mark></kbd></td><td><a href="https://payout.codapayments.com/payouts">https://payout.codapayments.com/payouts</a></td></tr></tbody></table>

## **Headers**

您可以参考[身份验证章节](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/ru-men-zhi-nan/shen-fen-yan-zheng-he-shou-quan.md)。

## 请求参数

<table><thead><tr><th width="144.0694580078125">参数</th><th width="89.27349853515625">类型</th><th width="89.9071044921875">必填项</th><th>描述</th><th>验证</th></tr></thead><tbody><tr><td>payout_method</td><td>Object</td><td>是</td><td>使用的Payout方式的详细信息</td><td>请参阅下面的 payout_method 详细信息</td></tr><tr><td>amount</td><td>Object</td><td>是</td><td>金额详情</td><td>请参阅下面的金额 (amount) 详细信息</td></tr><tr><td>country_code</td><td>String</td><td>是</td><td>2 个字母的ISO 3166 国家/地区</td><td><p>2 个字母，例如埃及：“EG”<br></p><p>请参阅下面的“<a href="/pages/sa18kUcgbX5ooe0Gswhm">国家/地区代码和货币代码列表</a>”。</p></td></tr><tr><td>purpose</td><td>String</td><td>是</td><td>Payout目的</td><td><p>枚举：</p><p>“<strong>revenue_share</strong>”,</p><p>“<strong>salaries</strong>”,</p><p>“<strong>payment_for_suppliers</strong>”<br></p><p>巴基斯坦：影响者付款应申报为“revenue_share”。<br>这些将被征收预扣税。</p></td></tr><tr><td>reference</td><td>String</td><td>否</td><td>这是您希望附加到payout的参考信息。如果所使用的付款方式允许，它将显示给收款人。</td><td><p>这是一个自选文本字段。<br></p><p>最多 255 个字符</p></td></tr><tr><td>request_id</td><td>String</td><td>是</td><td>由商户创建并附加到payout请求中的唯一请求ID。<strong>请注意，这必须是幂等的。</strong></td><td>仅允许字母数字字符、连字符“-”和下划线“_”</td></tr></tbody></table>

## amount (金额)

| 参数             | 类型     | 必填项 | 描述                                                    | 验证                                                                                                                      |
| -------------- | ------ | --- | ----------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| value          | Number | 是   | 请求金额 – 请求的payout总额。                                   | <p>最大小数位：2/</p><p></p><p><strong>对于印度尼西亚 IDR</strong>：仅接受<kbd>xxxxxx.00</kbd>格式；<br></p><p>不允许使用.<kbd>x0</kbd>或其他小数</p> |
| currency\_code | String | 是   | <p>请求货币 – 请求金额的货币。<br></p><p>3 个字母的货币代码 ISO 4217。</p> | <p>3 个字母，例如埃及：“EGP”<br></p><p>请参阅下面的“<a href="/pages/sa18kUcgbX5ooe0Gswhm">国家/地区代码和货币代码列表</a>”。</p>                     |

## **payout\_method** (payout模式)

| 参数              | 类型     | 必填项 | 描述          | 验证                                                                                   |
| --------------- | ------ | --- | ----------- | ------------------------------------------------------------------------------------ |
| type            | String | 是   | 使用的Payout方式 | <p>枚举：<br>” 银行转账</p><p>(bank\_transfer)”<br> “电子钱包 (wallet)"</p>                     |
| payment\_method | String | 是   | 使用的Payout方式 | <p>支持的支付方式之一。<br></p><p>请参阅<a href="/pages/OapAlINlHruHYgbDRKRE">各国家的支付详情列表</a>。</p> |
| beneficiary     | Object | 是   | 收款人详情       | 请参阅下面 "beneficiary (收款人)" 详细信息                                                       |

## **beneficiary** (收款人)

| 参数                      | 类型     | 必填项 | 描述                 | 验证                                                                                                                                                                    |
| ----------------------- | ------ | --- | ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                    | String | 是   | 收件人的全名             | 最多 255 个字符                                                                                                                                                            |
| payout\_method\_details | Object | 是   | 指定付款渠道的收款人帐户的详细信息。 | 请参阅[各国家的支付详情列表](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu.md)。 |

根据您希望使用的支付渠道将payout款项发送给收款人，“payout\_method\_details”对象的名称和必填字段会有所不同。您可以在下面找到支持的支付渠道列表以及每个渠道的必填字段。

## 响应参数

| 参数                    | 描述                                                            |
| --------------------- | ------------------------------------------------------------- |
| payout\_method.type   | 国家/地区代码 + 在请求中传递的使用的payout方式                                  |
| amount.value          | 请求金额 – payout请求的总金额。通过 API 请求传递。                              |
| amount.currency\_code | <p>请求货币 – 请求金额的货币。<br> 3 字母货币代码（ISO 4217 标准），通过 API 请求传递。</p> |
| country\_code         | <p>Payout国家/地区。<br>2 字母国家代码（ISO 3166 标准），通过 API 请求传递。</p>     |
| purpose               | Payout用途，通过 API 请求传递。                                         |
| reference             | 自由文本，通过 API 请求传递。                                             |
| request\_id           | 由商户创建的、附加到Payout请求的唯一请求 ID。通过 API 请求传递。                       |
| due\_date             | 通过 API 请求传递的截止日期。                                             |
| id                    | Coda payout 交易 ID：字符串 (String) 类型。                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
